PromotionsCoupons
Create coupon
POST
/v1/couponsCreate coupon. A successful request returns HTTP 201 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/coupons" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "description": "Example description.", "status": "draft", "type": "percentage", "target": "order", "amount": 1, "allocation": "once", "maxQuantity": 1 }'{ "id": "7204558912004325301"}